---
sidebar_position: 10
description: Create folder and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create folder
 Creates an empty directory at the selected path



`Function CreateFolder(Val Token, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Target path for creating the directory |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    Path  = "/New catalog";

    Result = OPI_Dropbox.CreateFolder(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox CreateFolder \
             --token "***" \
             --path "/New catalog"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox CreateFolder ^
             --token "***" ^
             --path "/New catalog"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "metadata": {
  "name": "New catalog",
  "path_lower": "/new catalog",
  "path_display": "/New catalog",
  "id": "id:kJU6-a-pT48AAAAAAABixQ"
 }
}
```
